Opened 4 years ago

Closed 4 years ago

#6933 closed defect (fixed)

SHERLOCK: St. Pancras Station Crash

Reported by: SF/pikappa79 Owned by: dreammaster
Priority: low Component: Engine: Sherlock
Keywords: Cc:
Game: Sherlock Holmes: Case of the Serrated Scalpel

Description

ScummVM 1.8.0git4732-g12227fb (Oct 6 2015 05:21:05)
English
DOS
Win32
St. Pancras Station: After the scene, ScummVM crashes

PS: in the savegame "pick up an old typewriter"

Ticket imported from: bugs/6933.

Attachments (1)

scalpel.014 (14.9 KB ) - added by SF/pikappa79 4 years ago.

Download all attachments as: .zip

Change History (11)

by SF/pikappa79, 4 years ago

Attachment: scalpel.014 added

comment:1 by SF/pikappa79, 4 years ago

Here some pictures:

pick up an old typewriter

then after this scene ScummVM crashes

comment:2 by digitall, 4 years ago

Owner: set to dreammaster

comment:3 by digitall, 4 years ago

Have tested with Valgrind on the latest version i.e. ScummVM 1.8.0git4738-gca096e1 (Oct 7 2015 05:16:49)

This is not a crash, but an critical exit due to an assertion failure. See:
scummvm: engines/sherlock/sound.cpp:246: void Sherlock::Sound::playSpeech(const
Common::String&): Assertion `(_vm->getGameID() == GType_RoseTattoo)' failed.

comment:4 by digitall, 4 years ago

Ran this with gdb and got a backtrace from the assertion point. Posting the relevant section here:

..#4 0x00000000004236ee in Sherlock::Sound::playSpeech (this=0x1262870,
name=...) at engines/sherlock/sound.cpp:246
..#5 0x000000000044a8bf in Sherlock::Scalpel::ScalpelTalk::cmdSfxCommand (
this=0x12d84f0,
str=@0x7ffffffb7a40: 0x131a255 "subtxt01\214subtxt02\202\002\200\001We shall see, Mr. Hunt. We shall see. Where incidentally, is Miss Carroway?\214subtxt03\202\021\200+Never heard of her.\214subtxt04\202\002\200\001If she's alive, and you tell us where she can be found, the"...)
at engines/sherlock/scalpel/scalpel_talk.cpp:501
..#6 0x0000000000428825 in Sherlock::Talk::doScript (this=0x12d84f0, script=...)
at engines/sherlock/talk.cpp:771
..#7 0x0000000000426a3b in Sherlock::Talk::talkTo (this=0x12d84f0, filename=...)
at engines/sherlock/talk.cpp:346
..#8 0x0000000000449186 in Sherlock::Scalpel::ScalpelTalk::talkTo (
this=0x12d84f0, filename=...)
at engines/sherlock/scalpel/scalpel_talk.cpp:178
..#9 0x000000000042172c in Sherlock::SherlockEngine::sceneLoop (this=0x1025a20)
at engines/sherlock/sherlock.cpp:176

comment:5 by dreammaster, 4 years ago

Resolution: fixed
Status: newclosed

comment:6 by SF/pikappa79, 4 years ago

ScummVM 1.8.0git4746-g3c6cf2b (Oct 8 2015 05:12:43)
English
DOS
Win32

there is still something that is close ScummVM

comment:7 by digitall, 4 years ago

Resolution: fixed
Status: closednew

comment:8 by digitall, 4 years ago

I can still replicate this bug with the latest 3c6cf2b947a49df918c2f4d6a91e2f176ac39707 ie. It has NOT fixed the crash. Running with gdb shows the same backtrace as I pasted above...

comment:9 by dreammaster, 4 years ago

Ah. You're right, my bad. I got confused and fix a bug that this identified when the sound is turned off. Turning the sound back on, I can replicate the problem.

comment:10 by dreammaster, 4 years ago

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.